summaryrefslogtreecommitdiffstats
path: root/client
diff options
context:
space:
mode:
Diffstat (limited to 'client')
-rwxr-xr-xclient/shared/scripts/updateCache6
1 files changed, 5 insertions, 1 deletions
diff --git a/client/shared/scripts/updateCache b/client/shared/scripts/updateCache
index 7c3f4534..beb5e507 100755
--- a/client/shared/scripts/updateCache
+++ b/client/shared/scripts/updateCache
@@ -35,6 +35,9 @@
#@version 1.1 - Control de errores en transferencia multicast (ticket #781)
#@author Irina Gomez, ETSII Universidad de Sevilla
#@date 2017/04/20
+@version 1.1 - Verifar existencia de la imagen (ticket #910)
+#@author antonio J. Doblas Viso, Universidad de Malaga
+#@date 2019/05/16
#*/ ##
PROG="$(basename $0)"
@@ -85,7 +88,8 @@ if ! $(ogFindCache >/dev/null); then
fi
# comprobar si la imagen existe (.img, .img.diff o directorio)
-REPOFILE=$(ogGetPath "REPO" "/$2") || exit $(ogRaiseError session $OG_ERR_NOTFOUND "REPO /$2"; echo $?)
+REPOFILE=$(ogGetPath "REPO" "/$2")
+[ -n "$REPOFILE" ] || exit $(ogRaiseError session $OG_ERR_NOTFOUND "REPO /$2"; echo $?)
ogEcho log session "$MSG_SCRIPTS_UPDATECACHE_DOUPDATE"
# Distingo si es monolitica o sincronizable